Package io.vertx.ext.web.api.service.generator.model

## Class WebApiProxyMethodInfo

- java.lang.Object
- - io.vertx.codegen.processor.MethodInfo
  - - io.vertx.serviceproxy.generator.model.ProxyMethodInfo
    - - io.vertx.ext.web.api.service.generator.model.WebApiProxyMethodInfo

- All Implemented Interfaces:
    `Comparable<io.vertx.codegen.processor.MethodInfo>`

      public class WebApiProxyMethodInfo
      extends ProxyMethodInfo

  Author:
    Francesco Guardiani

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WebApiProxyMethodInfo​(ProxyMethodInfo info)` |
    `WebApiProxyMethodInfo​(Set<io.vertx.codegen.processor.type.ClassTypeInfo> ownerTypes, String name, io.vertx.codegen.processor.type.TypeInfo returnType, io.vertx.codegen.processor.doc.Text returnDescription, boolean fluent, boolean cacheReturn, List<io.vertx.codegen.processor.ParamInfo> params, String comment, io.vertx.codegen.processor.doc.Doc doc, boolean staticMethod, boolean defaultMethod, List<io.vertx.codegen.processor.TypeParamInfo.Method> typeParams, boolean proxyIgnore, boolean proxyClose, boolean deprecated, io.vertx.codegen.processor.doc.Text deprecatedDesc, boolean methodOverride)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<io.vertx.codegen.processor.ParamInfo>` | `getParamsToExtract()` |
    `String` | `getRequestContextName()` |

    - ### Methods inherited from class io.vertx.serviceproxy.generator.model.ProxyMethodInfo

      `isProxyClose, isProxyIgnore`

    - ### Methods inherited from class io.vertx.codegen.processor.MethodInfo

      `collectImports, compareTo, copy, getCallbackType, getComment, getDeprecatedDesc, getDoc, getKind, getName, getName, getOwnerTypes, getParam, getParams, getReturnDescription, getReturnType, getSignature, getTypeParams, isCacheReturn, isContainingAnyJavaType, isDefaultMethod, isDeprecated, isFluent, isMethodOverride, isNullableFutureReturn, isNullableReturn, isOwnedBy, isStaticMethod, mergeTypeParams, resolveClassTypeParam, resolveTypeArg, setCacheReturn, setComment, setDefaultMethod, setDeprecated, setDeprecatedDesc, setDoc, setFluent, setName, setOwnerTypes, setParams, setReturnDescription, setReturnType, setStaticMethod, setTypeParams, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WebApiProxyMethodInfo

          public WebApiProxyMethodInfo​(Set<io.vertx.codegen.processor.type.ClassTypeInfo> ownerTypes,
                                       String name,
                                       io.vertx.codegen.processor.type.TypeInfo returnType,
                                       io.vertx.codegen.processor.doc.Text returnDescription,
                                       boolean fluent,
                                       boolean cacheReturn,
                                       List<io.vertx.codegen.processor.ParamInfo> params,
                                       String comment,
                                       io.vertx.codegen.processor.doc.Doc doc,
                                       boolean staticMethod,
                                       boolean defaultMethod,
                                       List<io.vertx.codegen.processor.TypeParamInfo.Method> typeParams,
                                       boolean proxyIgnore,
                                       boolean proxyClose,
                                       boolean deprecated,
                                       io.vertx.codegen.processor.doc.Text deprecatedDesc,
                                       boolean methodOverride)

    - #### WebApiProxyMethodInfo

          public WebApiProxyMethodInfo​(ProxyMethodInfo info)

  - ### Method Detail

    - #### getParamsToExtract

          public List<io.vertx.codegen.processor.ParamInfo> getParamsToExtract()

    - #### getRequestContextName

          public String getRequestContextName()